//
//  OSManagedObject.m
//  CoreDataLibraryApp
//
//  Created by Duncan Groenewald on 16/02/2014.
//  Copyright (c) 2014 OSSH Pty Ltd. All rights reserved.
//

#import "OSManagedObject.h"

@implementation OSManagedObject

@dynamic timestamp;

-(void)awakeFromInsert {
    self.timestamp = [NSDate date];
}
-(void)willSave {
    [self setPrimitiveTimestamp:[NSDate date]];
}
- (NSString*)timestampString {
    FLOG(@" called");
    NSDateFormatter *dateFormatter = [[NSDateFormatter alloc] init];
    [dateFormatter setDateFormat:@"yyyyMMddHHmmssSSS"];
    return [dateFormatter stringFromDate:self.timestamp];
}
@end
