//
//     File: SidebarTableCellView.h
//
//

#import <Cocoa/Cocoa.h>
#import "Macros.h"

@interface OSSidebarTableCellView : NSTableCellView {
@private
    NSButton *_button;
    NSButton *_addButton;
    NSButton *_removeButton;
    BOOL mouseInside;
    NSTrackingArea *trackingArea;
}

@property(retain) IBOutlet NSButton *button;
@property(retain) IBOutlet NSButton *addButton;
@property(retain) IBOutlet NSButton *removeButton;
@property BOOL isCategory;
@property BOOL canDelete;

- (void)setFound:(BOOL)found;
@end
