//
//  OSSplitView.m
//  iProjectMac
//
//  Created by Duncan Groenewald on 13/08/13.
//  Copyright (c) 2013 OSSH Pty. Ltd. All rights reserved.
//

#import "OSSplitView.h"

@implementation OSSplitView

-(id)initWithCoder:(NSCoder *)aDecoder
{
    self = [super initWithCoder:aDecoder];
    if (self) {
        // Initialization code here.
        [self initialise];
    }
    
    return self;
}
- (id)initWithFrame:(NSRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code here.
        [self initialise];
    }
    
    return self;
}
- (void)initialise
{
    [self setDividerStyle:NSSplitViewDividerStyleThin];
    self.delegate = self;
}

- (BOOL)splitView:(NSSplitView *)splitView canCollapseSubview:(NSView *)subview {
    return NO;
}

- (CGFloat)splitView:(NSSplitView *)splitView constrainMinCoordinate:(CGFloat)proposedMinimumPosition ofSubviewAt:(NSInteger)dividerIndex {
    if (proposedMinimumPosition < 200) {
        proposedMinimumPosition = 200;
    }
    return proposedMinimumPosition;
}
- (BOOL)splitView:(NSSplitView *)splitView shouldAdjustSizeOfSubview:(NSView *)subview {
    if (subview == [[splitView subviews] objectAtIndex:0]) return NO;
    else return YES;
}
@end
