//
//  UpgradeViewController.m
//  CoreDataLibraryAppOSX
//
//  Created by Duncan Groenewald on 2/03/2014.
//  Copyright (c) 2014 OSSH Pty Ltd. All rights reserved.
//

#import "UpgradeViewController.h"

@interface UpgradeViewController ()

@end

@implementation UpgradeViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Initialization code here.
        [[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(setStep:) name:OSStoreUpgradeStatusNotification object:[OSxCDStackManager sharedManager]];

    }
    return self;
}
- (void)setStep:(NSNotification*)notification {
    NSString * str = [NSString stringWithFormat:@"%@\n", [[notification userInfo] objectForKey:@"message"]];
    [stepMessageTextView.textStorage.mutableString appendString:str];
}
- (IBAction)startUpgrade:(id)sender {
    FLOG(@" called");
    [[OSxCDStackManager sharedManager] setStartUpgrade:YES];
    [startButton setHidden:YES];
}
@end
